"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _resolveReadmodelBase = _interopRequireDefault(require("resolve-readmodel-base"));

var _pg = require("pg");

var _beginTransaction = _interopRequireDefault(require("./begin-transaction"));

var _buildUpsertDocument = _interopRequireDefault(require("./build-upsert-document"));

var _commitTransaction = _interopRequireDefault(require("./commit-transaction"));

var _connect2 = _interopRequireDefault(require("./connect"));

var _convertResultRow = _interopRequireDefault(require("./convert-result-row"));

var _count = _interopRequireDefault(require("./count"));

var _defineTable = _interopRequireDefault(require("./define-table"));

var _delete = _interopRequireDefault(require("./delete"));

var _disconnect = _interopRequireDefault(require("./disconnect"));

var _dropReadModel = _interopRequireDefault(require("./drop-read-model"));

var _escapeId = _interopRequireDefault(require("./escape-id"));

var _escape = _interopRequireDefault(require("./escape"));

var _findOne = _interopRequireDefault(require("./find-one"));

var _find = _interopRequireDefault(require("./find"));

var _insert = _interopRequireDefault(require("./insert"));

var _rollbackTransaction = _interopRequireDefault(require("./rollback-transaction"));

var _searchToWhereExpression = _interopRequireDefault(require("./search-to-where-expression"));

var _updateToSetExpression = _interopRequireDefault(require("./update-to-set-expression"));

var _update = _interopRequireDefault(require("./update"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const store = {
  defineTable: _defineTable.default,
  find: _find.default,
  findOne: _findOne.default,
  count: _count.default,
  insert: _insert.default,
  update: _update.default,
  delete: _delete.default
};

const connect = _connect2.default.bind(null, {
  Postgres: _pg.Client,
  escapeId: _escapeId.default,
  escape: _escape.default,
  buildUpsertDocument: _buildUpsertDocument.default,
  convertResultRow: _convertResultRow.default,
  searchToWhereExpression: _searchToWhereExpression.default,
  updateToSetExpression: _updateToSetExpression.default,
  ...store
});

const createAdapter = _resolveReadmodelBase.default.bind(null, { ...store,
  connect,
  beginTransaction: _beginTransaction.default,
  commitTransaction: _commitTransaction.default,
  rollbackTransaction: _rollbackTransaction.default,
  dropReadModel: _dropReadModel.default,
  disconnect: _disconnect.default
});

var _default = createAdapter;
exports.default = _default;
//# sourceMappingURL=index.js.map